from dbpool import getConnection, getMany, getOne

def get_mieters():
    return getMany("""
SELECT m.id as id, 
       o.id as objekt_id,
       w.id as wohnung_id,
       w.shortname as wohnung, 
       o.shortname as objekt,
       COALESCE(m.anrede, '-') as anrede,
       COALESCE(m.vorname, '-') as vorname,
       m.nachname as nachname,
       COALESCE(m.strasse, '-') as strasse,
       COALESCE(m.plz, '-') as plz,
       COALESCE(m.ort, '-') as ort,
       COALESCE(m.telefon, '-') as telefon,
       m.einzug as einzug,
       COALESCE(m.auszug, '-') as auszug
  FROM wohnung w, objekt o, mieter m
  WHERE o.id = w.objekt AND
        w.id = m.wohnung
    """, [], "Mieter")

def get_mieter(id=None):
    return getOne("""
SELECT m.id as id, 
       o.id as objekt_id,
       w.id as wohnung_id,
       w.shortname as wohnung, 
       o.shortname as objekt,
       COALESCE(m.anrede, '-') as anrede,
       COALESCE(m.vorname, '-') as vorname,
       m.nachname as nachname,
       COALESCE(m.strasse, '-') as strasse,
       COALESCE(m.plz, '-') as plz,
       COALESCE(m.ort, '-') as ort,
       COALESCE(m.telefon, '-') as telefon,
       m.einzug as einzug,
       COALESCE(m.auszug, '-') as auszug
  FROM wohnung w, objekt o, mieter m
  WHERE o.id = w.objekt AND
        w.id = m.wohnung AND
        m.id = ?
""", (id, ), "Mieter")
